\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{myclass}[2020/10/30 Example LaTeX class for IEEE-IAS course]
%commands and packages
\newcommand{\headlinecolor}{\normalcolor}

\RequirePackage{xcolor}
\definecolor{slcolor}{HTML}{882B21}

% options:
\DeclareOption{twocolumn}{\typeout{Error option not available}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax
\LoadClass[onecolumn]{article}


% my commands:
\def\nombre#1{\def\@nombre{#1}}

\newcommand{\portada}{
  \begin{titlepage}
  \center
  \textsc{\LARGE Instituto Tecnologico de Morelia}\\[2.5cm]

  \@title

  \begin{flushleft}
    Alumno:
    \emph{\@nombre}
  \end{flushleft}
  
  \vfill
  \end{titlepage}
}

\newcommand{\seccion}{%
    \@startsection
    {section}{1}{0pt}{-1.5ex plus -1ex minus -.2ex}%
    {1ex plus .2ex}{ \Large\sffamily\slshape}%
  }

\renewcommand{\normalsize}{\fontsize{9}{10}\selectfont}
\setlength{\textwidth}{17.5cm}
\setlength{\textheight}{22cm}
% \setcounter{secnumdepth}{1}

\newcounter{example}[section] %every new section the counter will be reset
\newenvironment{example}[1][]{\refstepcounter{example}\par\medskip
   \textbf{Ejemplo~\theexample: #1.} \rmfamily}{\medskip}